Bug 106882 - need 32-bit /usr/lib/libreadline.so.4
need 32-bit /usr/lib/libreadline.so.4
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: distribution (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: dff
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-12 21:44 EDT by Konstantin Olchanski
Modified: 2007-11-30 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-29 17:59:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konstantin Olchanski 2003-10-12 21:44:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
32-bit applications built elsewhere do not run on Taroon because 32-bit
libreadline.so.4 is missing. (In general, for every 64-bit library, it is
desirable to have the corresponding 32-bit library built and installed).

Workaround:
"export LD_LIBRARY_PATH=/redhat9/usr/lib" allows this application to run using
the shared libraries from the RHL 9 installation mounted on /redhat9.

How reproducible:
Always

Actual Results:  [olchansk@tw00 work]$ ./photo
Incorrectly built binary which accesses errno or h_errno directly. Needs to be
fixed.
./photo: error while loading shared libraries: libreadline.so.4: cannot open
shared object file: No such file or directory


Expected Results:  application runs

Additional info:

[olchansk@tw00 user]$ cat /etc/redhat-release 
Red Hat Enterprise Linux release 2.9.5WS (Taroon)
[olchansk@tw00 user]$ rpm -qa | grep readline
readline-devel-4.3-5
readline-4.3-5
[olchansk@tw00 user]$ file ./photo 
./photo: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for GNU/Linux
2.2.5, dynamically linked (uses shared libs), not stripped
[olchansk@tw00 user]$ ldd ./photo 
Incorrectly built binary which accesses errno or h_errno directly. Needs to be
fixed.
        libNew.so =>
/triumfcs/trshare/olchansk/root/root_v3.05.07.RH8.0/lib/libNew.so (0xa0001000)
        libCore.so =>
/triumfcs/trshare/olchansk/root/root_v3.05.07.RH8.0/lib/libCore.so (0xa0005000)
        libCint.so =>
/triumfcs/trshare/olchansk/root/root_v3.05.07.RH8.0/lib/libCint.so (0xa04f4000)
        libGraf.so =>
/triumfcs/trshare/olchansk/root/root_v3.05.07.RH8.0/lib/libGraf.so (0xa06c5000)
        libGraf3d.so =>
/triumfcs/trshare/olchansk/root/root_v3.05.07.RH8.0/lib/libGraf3d.so (0xa086b000)
        libGpad.so =>
/triumfcs/trshare/olchansk/root/root_v3.05.07.RH8.0/lib/libGpad.so (0xa093d000)
        libTree.so =>
/triumfcs/trshare/olchansk/root/root_v3.05.07.RH8.0/lib/libTree.so (0xa0a0a000)
        libTreeViewer.so =>
/triumfcs/trshare/olchansk/root/root_v3.05.07.RH8.0/lib/libTreeViewer.so
(0xa0aed000)
        libRint.so =>
/triumfcs/trshare/olchansk/root/root_v3.05.07.RH8.0/lib/libRint.so (0xa0b39000)
        libPostscript.so =>
/triumfcs/trshare/olchansk/root/root_v3.05.07.RH8.0/lib/libPostscript.so
(0xa0b5d000)
        libMatrix.so =>
/triumfcs/trshare/olchansk/root/root_v3.05.07.RH8.0/lib/libMatrix.so (0xa0b87000)
        libPhysics.so =>
/triumfcs/trshare/olchansk/root/root_v3.05.07.RH8.0/lib/libPhysics.so (0xa0bfe000)
        libGui.so =>
/triumfcs/trshare/olchansk/root/root_v3.05.07.RH8.0/lib/libGui.so (0xa0c43000)
        libm.so.6 => /lib/libm.so.6 (0xa0f4b000)
        libdl.so.2 => /lib/libdl.so.2 (0xa0f6d000)
        libHist.so =>
/triumfcs/trshare/olchansk/root/root_v3.05.07.RH8.0/lib/libHist.so (0xa0f70000)
        libHtml.so =>
/triumfcs/trshare/olchansk/root/root_v3.05.07.RH8.0/lib/libHtml.so (0xa1180000)
        libMinuit.so =>
/triumfcs/trshare/olchansk/root/root_v3.05.07.RH8.0/lib/libMinuit.so (0xa11b7000)
        libProof.so =>
/triumfcs/trshare/olchansk/root/root_v3.05.07.RH8.0/lib/libProof.so (0xa11fc000)
        libGX11.so =>
/triumfcs/trshare/olchansk/root/root_v3.05.07.RH8.0/lib/libGX11.so (0xa1278000)
        libX3d.so =>
/triumfcs/trshare/olchansk/root/root_v3.05.07.RH8.0/lib/libX3d.so (0xa12c1000)
        libXpm.so.4 => /usr/X11R6/lib/libXpm.so.4 (0xa12dd000)
        libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0xa12ec000)
        libnsl.so.1 => /lib/libnsl.so.1 (0xa13cb000)
        libreadline.so.4 => not found
        libncurses.so.5 => /usr/lib/libncurses.so.5 (0xa13e0000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xa1421000)
        libc.so.6 => /lib/libc.so.6 (0xa1474000)
        libstdc++.so.5 => /usr/lib/libstdc++.so.5 (0xa15ac000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xa165f000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
        libgpm.so.1 => /usr/lib/libgpm.so.1 (0xa1668000)

K.O.
Comment 1 Tim Waugh 2003-10-13 06:50:44 EDT
I think this is a distribution-wide issue.
Comment 2 dff 2004-10-29 17:59:25 EDT
A 32-bit readline-4.3-5.2 package is available in the RHEL 3 Update 3 x86-64
distribution, and via RHN.

Note You need to log in before you can comment on or make changes to this bug.